1# Makefile for PO directory in any package using GNU gettext.
2# Copyright (C) 1995-1997, 2000-2006 by Ulrich Drepper <drepper@gnu.ai.mit.edu>
3#
4# This file can be copied and used freely without restrictions.  It can
5# be used in projects which are not available under the GNU General Public
6# License but which still want to provide support for the GNU gettext
7# functionality.
8# Please note that the actual code of GNU gettext is covered by the GNU
9# General Public License and is *not* in the public domain.
10#
11# Origin: gettext-0.16
12
13PACKAGE = ibus-kmfl
14VERSION = 1.0.2
15PACKAGE_BUGREPORT = http://code.google.com/p/ibus/issues/entry
16
17SHELL = /bin/sh
18
19
20srcdir = .
21top_srcdir = ..
22
23
24prefix = /usr
25exec_prefix = /usr
26datarootdir = ${prefix}/share
27datadir = /usr/share
28localedir = ${datarootdir}/locale
29gettextsrcdir = $(datadir)/gettext/po
30
31INSTALL = /usr/bin/install -c
32INSTALL_DATA = ${INSTALL} -m 644
33
34# We use $(mkdir_p).
35# In automake <= 1.9.x, $(mkdir_p) is defined either as "mkdir -p --" or as
36# "$(mkinstalldirs)" or as "$(install_sh) -d". For these automake versions,
37# ${SHELL} /home/doug/rpmbuild/BUILD/ibus-kmfl-1.0.2/install-sh does not start with $(SHELL), so we add it.
38# In automake >= 1.10, /bin/mkdir -p is derived from ${MKDIR_P}, which is defined
39# either as "/path/to/mkdir -p" or ".../install-sh -c -d". For these automake
40# versions, $(mkinstalldirs) and $(install_sh) are unused.
41mkinstalldirs = $(SHELL) ${SHELL} /home/doug/rpmbuild/BUILD/ibus-kmfl-1.0.2/install-sh -d
42install_sh = $(SHELL) ${SHELL} /home/doug/rpmbuild/BUILD/ibus-kmfl-1.0.2/install-sh
43MKDIR_P = /bin/mkdir -p
44mkdir_p = /bin/mkdir -p
45
46GMSGFMT_ = /usr/bin/msgfmt
47GMSGFMT_no = /usr/bin/msgfmt
48GMSGFMT_yes = /usr/bin/msgfmt
49GMSGFMT = $(GMSGFMT_$(USE_MSGCTXT))
50MSGFMT_ = /usr/bin/msgfmt
51MSGFMT_no = /usr/bin/msgfmt
52MSGFMT_yes = /usr/bin/msgfmt
53MSGFMT = $(MSGFMT_$(USE_MSGCTXT))
54XGETTEXT_ = /usr/bin/xgettext
55XGETTEXT_no = /usr/bin/xgettext
56XGETTEXT_yes = /usr/bin/xgettext
57XGETTEXT = $(XGETTEXT_$(USE_MSGCTXT))
58MSGMERGE = msgmerge
59MSGMERGE_UPDATE = /usr/bin/msgmerge --update
60MSGINIT = msginit
61MSGCONV = msgconv
62MSGFILTER = msgfilter
63
64POFILES =  zh_CN.po
65GMOFILES =  zh_CN.gmo
66UPDATEPOFILES =  zh_CN.po-update
67DUMMYPOFILES =  zh_CN.nop
68DISTFILES.common = Makefile.in.in remove-potcdate.sin \
69$(DISTFILES.common.extra1) $(DISTFILES.common.extra2) $(DISTFILES.common.extra3)
70DISTFILES = $(DISTFILES.common) Makevars POTFILES.in \
71$(POFILES) $(GMOFILES) \
72$(DISTFILES.extra1) $(DISTFILES.extra2) $(DISTFILES.extra3)
73
74POTFILES = \
75     ../src/engine.c \
76     ../src/kmflutil.c \
77     ../src/main.c
78
79CATALOGS =  zh_CN.gmo
80
81# Makevars gets inserted here. (Don't remove this line!)
82# Makefile variables for PO directory in any package using GNU gettext.
83
84# Usually the message domain is the same as the package name.
85DOMAIN = $(PACKAGE)
86
87# These two variables depend on the location of this directory.
88subdir = po
89top_builddir = ..
90
91# These options get passed to xgettext.
92XGETTEXT_OPTIONS = --keyword=_ --keyword=N_
93
94# This is the copyright holder that gets inserted into the header of the
95# $(DOMAIN).pot file.  Set this to the copyright holder of the surrounding
96# package.  (Note that the msgstr strings, extracted from the package's
97# sources, belong to the copyright holder of the package.)  Translators are
98# expected to transfer the copyright for their translations to this person
99# or entity, or to disclaim their copyright.  The empty string stands for
100# the public domain; in this case the translators are expected to disclaim
101# their copyright.
102COPYRIGHT_HOLDER = Huang Peng <shawn.p.huang@gmail.com>
103
104# This is the email address or URL to which the translators shall report
105# bugs in the untranslated strings:
106# - Strings which are not entire sentences, see the maintainer guidelines
107#   in the GNU gettext documentation, section 'Preparing Strings'.
108# - Strings which use unclear terms or require additional context to be
109#   understood.
110# - Strings which make invalid assumptions about notation of date, time or
111#   money.
112# - Pluralisation problems.
113# - Incorrect English spelling.
114# - Incorrect formatting.
115# It can be your email address, or a mailing list address where translators
116# can write to without being subscribed, or the URL of a web page through
117# which the translators can contact you.
118MSGID_BUGS_ADDRESS = $(PACKAGE_BUGREPORT)
119
120# This is the list of locale categories, beyond LC_MESSAGES, for which the
121# message catalogs shall be used.  It is usually empty.
122EXTRA_LOCALE_CATEGORIES =
123
124.SUFFIXES:
125.SUFFIXES: .po .gmo .mo .sed .sin .nop .po-create .po-update
126
127.po.mo:
128	@echo "$(MSGFMT) -c -o $@ $<"; \
129	$(MSGFMT) -c -o t-$@ $< && mv t-$@ $@
130
131.po.gmo:
132	@lang=`echo $* | sed -e 's,.*/,,'`; \
133	test "$(srcdir)" = . && cdcmd="" || cdcmd="cd $(srcdir) && "; \
134	echo "$${cdcmd}rm -f $${lang}.gmo && $(GMSGFMT) -c --statistics -o $${lang}.gmo $${lang}.po"; \
135	cd $(srcdir) && rm -f $${lang}.gmo && $(GMSGFMT) -c --statistics -o t-$${lang}.gmo $${lang}.po && mv t-$${lang}.gmo $${lang}.gmo
136
137.sin.sed:
138	sed -e '/^#/d' $< > t-$@
139	mv t-$@ $@
140
141
142all: all-yes
143
144all-yes: stamp-po
145all-no:
146
147# $(srcdir)/$(DOMAIN).pot is only created when needed. When xgettext finds no
148# internationalized messages, no $(srcdir)/$(DOMAIN).pot is created (because
149# we don't want to bother translators with empty POT files). We assume that
150# LINGUAS is empty in this case, i.e. $(POFILES) and $(GMOFILES) are empty.
151# In this case, stamp-po is a nop (i.e. a phony target).
152
153# stamp-po is a timestamp denoting the last time at which the CATALOGS have
154# been loosely updated. Its purpose is that when a developer or translator
155# checks out the package via CVS, and the $(DOMAIN).pot file is not in CVS,
156# "make" will update the $(DOMAIN).pot and the $(CATALOGS), but subsequent
157# invocations of "make" will do nothing. This timestamp would not be necessary
158# if updating the $(CATALOGS) would always touch them; however, the rule for
159# $(POFILES) has been designed to not touch files that don't need to be
160# changed.
161stamp-po: $(srcdir)/$(DOMAIN).pot
162	test ! -f $(srcdir)/$(DOMAIN).pot || \
163	  test -z "$(GMOFILES)" || $(MAKE) $(GMOFILES)
164	@test ! -f $(srcdir)/$(DOMAIN).pot || { \
165	  echo "touch stamp-po" && \
166	  echo timestamp > stamp-poT && \
167	  mv stamp-poT stamp-po; \
168	}
169
170# Note: Target 'all' must not depend on target '$(DOMAIN).pot-update',
171# otherwise packages like GCC can not be built if only parts of the source
172# have been downloaded.
173
174# This target rebuilds $(DOMAIN).pot; it is an expensive operation.
175# Note that $(DOMAIN).pot is not touched if it doesn't need to be changed.
176$(DOMAIN).pot-update: $(POTFILES) $(srcdir)/POTFILES.in remove-potcdate.sed
177	if test -n '$(MSGID_BUGS_ADDRESS)' || test '$(PACKAGE_BUGREPORT)' = '@'PACKAGE_BUGREPORT'@'; then \
178	  msgid_bugs_address='$(MSGID_BUGS_ADDRESS)'; \
179	else \
180	  msgid_bugs_address='$(PACKAGE_BUGREPORT)'; \
181	fi; \
182	$(XGETTEXT) --default-domain=$(DOMAIN) --directory=$(top_srcdir) \
183	  --add-comments=TRANSLATORS: $(XGETTEXT_OPTIONS) \
184	  --files-from=$(srcdir)/POTFILES.in \
185	  --copyright-holder='$(COPYRIGHT_HOLDER)' \
186	  --msgid-bugs-address="$$msgid_bugs_address"
187	test ! -f $(DOMAIN).po || { \
188	  if test -f $(srcdir)/$(DOMAIN).pot; then \
189	    sed -f remove-potcdate.sed < $(srcdir)/$(DOMAIN).pot > $(DOMAIN).1po && \
190	    sed -f remove-potcdate.sed < $(DOMAIN).po > $(DOMAIN).2po && \
191	    if cmp $(DOMAIN).1po $(DOMAIN).2po >/dev/null 2>&1; then \
192	      rm -f $(DOMAIN).1po $(DOMAIN).2po $(DOMAIN).po; \
193	    else \
194	      rm -f $(DOMAIN).1po $(DOMAIN).2po $(srcdir)/$(DOMAIN).pot && \
195	      mv $(DOMAIN).po $(srcdir)/$(DOMAIN).pot; \
196	    fi; \
197	  else \
198	    mv $(DOMAIN).po $(srcdir)/$(DOMAIN).pot; \
199	  fi; \
200	}
201
202# This rule has no dependencies: we don't need to update $(DOMAIN).pot at
203# every "make" invocation, only create it when it is missing.
204# Only "make $(DOMAIN).pot-update" or "make dist" will force an update.
205$(srcdir)/$(DOMAIN).pot:
206	$(MAKE) $(DOMAIN).pot-update
207
208# This target rebuilds a PO file if $(DOMAIN).pot has changed.
209# Note that a PO file is not touched if it doesn't need to be changed.
210$(POFILES): $(srcdir)/$(DOMAIN).pot
211	@lang=`echo $@ | sed -e 's,.*/,,' -e 's/\.po$$//'`; \
212	if test -f "$(srcdir)/$${lang}.po"; then \
213	  test "$(srcdir)" = . && cdcmd="" || cdcmd="cd $(srcdir) && "; \
214	  echo "$${cdcmd}$(MSGMERGE_UPDATE) $${lang}.po $(DOMAIN).pot"; \
215	  cd $(srcdir) && $(MSGMERGE_UPDATE) $${lang}.po $(DOMAIN).pot; \
216	else \
217	  $(MAKE) $${lang}.po-create; \
218	fi
219
220
221install: install-exec install-data
222install-exec:
223install-data: install-data-yes
224	if test "$(PACKAGE)" = "gettext-tools"; then \
225	  $(mkdir_p) $(DESTDIR)$(gettextsrcdir); \
226	  for file in $(DISTFILES.common) Makevars.template; do \
227	    $(INSTALL_DATA) $(srcdir)/$$file \
228			    $(DESTDIR)$(gettextsrcdir)/$$file; \
229	  done; \
230	  for file in Makevars; do \
231	    rm -f $(DESTDIR)$(gettextsrcdir)/$$file; \
232	  done; \
233	else \
234	  : ; \
235	fi
236install-data-no: all
237install-data-yes: all
238	$(mkdir_p) $(DESTDIR)$(datadir)
239	@catalogs='$(CATALOGS)'; \
240	for cat in $$catalogs; do \
241	  cat=`basename $$cat`; \
242	  lang=`echo $$cat | sed -e 's/\.gmo$$//'`; \
243	  dir=$(localedir)/$$lang/LC_MESSAGES; \
244	  $(mkdir_p) $(DESTDIR)$$dir; \
245	  if test -r $$cat; then realcat=$$cat; else realcat=$(srcdir)/$$cat; fi; \
246	  $(INSTALL_DATA) $$realcat $(DESTDIR)$$dir/$(DOMAIN).mo; \
247	  echo "installing $$realcat as $(DESTDIR)$$dir/$(DOMAIN).mo"; \
248	  for lc in '' $(EXTRA_LOCALE_CATEGORIES); do \
249	    if test -n "$$lc"; then \
250	      if (cd $(DESTDIR)$(localedir)/$$lang && LC_ALL=C ls -l -d $$lc 2>/dev/null) | grep ' -> ' >/dev/null; then \
251	        link=`cd $(DESTDIR)$(localedir)/$$lang && LC_ALL=C ls -l -d $$lc | sed -e 's/^.* -> //'`; \
252	        mv $(DESTDIR)$(localedir)/$$lang/$$lc $(DESTDIR)$(localedir)/$$lang/$$lc.old; \
253	        mkdir $(DESTDIR)$(localedir)/$$lang/$$lc; \
254	        (cd $(DESTDIR)$(localedir)/$$lang/$$lc.old && \
255	         for file in *; do \
256	           if test -f $$file; then \
257	             ln -s ../$$link/$$file $(DESTDIR)$(localedir)/$$lang/$$lc/$$file; \
258	           fi; \
259	         done); \
260	        rm -f $(DESTDIR)$(localedir)/$$lang/$$lc.old; \
261	      else \
262	        if test -d $(DESTDIR)$(localedir)/$$lang/$$lc; then \
263	          :; \
264	        else \
265	          rm -f $(DESTDIR)$(localedir)/$$lang/$$lc; \
266	          mkdir $(DESTDIR)$(localedir)/$$lang/$$lc; \
267	        fi; \
268	      fi; \
269	      rm -f $(DESTDIR)$(localedir)/$$lang/$$lc/$(DOMAIN).mo; \
270	      ln -s ../LC_MESSAGES/$(DOMAIN).mo $(DESTDIR)$(localedir)/$$lang/$$lc/$(DOMAIN).mo 2>/dev/null || \
271	      ln $(DESTDIR)$(localedir)/$$lang/LC_MESSAGES/$(DOMAIN).mo $(DESTDIR)$(localedir)/$$lang/$$lc/$(DOMAIN).mo 2>/dev/null || \
272	      cp -p $(DESTDIR)$(localedir)/$$lang/LC_MESSAGES/$(DOMAIN).mo $(DESTDIR)$(localedir)/$$lang/$$lc/$(DOMAIN).mo; \
273	      echo "installing $$realcat link as $(DESTDIR)$(localedir)/$$lang/$$lc/$(DOMAIN).mo"; \
274	    fi; \
275	  done; \
276	done
277
278install-strip: install
279
280installdirs: installdirs-exec installdirs-data
281installdirs-exec:
282installdirs-data: installdirs-data-yes
283	if test "$(PACKAGE)" = "gettext-tools"; then \
284	  $(mkdir_p) $(DESTDIR)$(gettextsrcdir); \
285	else \
286	  : ; \
287	fi
288installdirs-data-no:
289installdirs-data-yes:
290	$(mkdir_p) $(DESTDIR)$(datadir)
291	@catalogs='$(CATALOGS)'; \
292	for cat in $$catalogs; do \
293	  cat=`basename $$cat`; \
294	  lang=`echo $$cat | sed -e 's/\.gmo$$//'`; \
295	  dir=$(localedir)/$$lang/LC_MESSAGES; \
296	  $(mkdir_p) $(DESTDIR)$$dir; \
297	  for lc in '' $(EXTRA_LOCALE_CATEGORIES); do \
298	    if test -n "$$lc"; then \
299	      if (cd $(DESTDIR)$(localedir)/$$lang && LC_ALL=C ls -l -d $$lc 2>/dev/null) | grep ' -> ' >/dev/null; then \
300	        link=`cd $(DESTDIR)$(localedir)/$$lang && LC_ALL=C ls -l -d $$lc | sed -e 's/^.* -> //'`; \
301	        mv $(DESTDIR)$(localedir)/$$lang/$$lc $(DESTDIR)$(localedir)/$$lang/$$lc.old; \
302	        mkdir $(DESTDIR)$(localedir)/$$lang/$$lc; \
303	        (cd $(DESTDIR)$(localedir)/$$lang/$$lc.old && \
304	         for file in *; do \
305	           if test -f $$file; then \
306	             ln -s ../$$link/$$file $(DESTDIR)$(localedir)/$$lang/$$lc/$$file; \
307	           fi; \
308	         done); \
309	        rm -f $(DESTDIR)$(localedir)/$$lang/$$lc.old; \
310	      else \
311	        if test -d $(DESTDIR)$(localedir)/$$lang/$$lc; then \
312	          :; \
313	        else \
314	          rm -f $(DESTDIR)$(localedir)/$$lang/$$lc; \
315	          mkdir $(DESTDIR)$(localedir)/$$lang/$$lc; \
316	        fi; \
317	      fi; \
318	    fi; \
319	  done; \
320	done
321
322# Define this as empty until I found a useful application.
323installcheck:
324
325uninstall: uninstall-exec uninstall-data
326uninstall-exec:
327uninstall-data: uninstall-data-yes
328	if test "$(PACKAGE)" = "gettext-tools"; then \
329	  for file in $(DISTFILES.common) Makevars.template; do \
330	    rm -f $(DESTDIR)$(gettextsrcdir)/$$file; \
331	  done; \
332	else \
333	  : ; \
334	fi
335uninstall-data-no:
336uninstall-data-yes:
337	catalogs='$(CATALOGS)'; \
338	for cat in $$catalogs; do \
339	  cat=`basename $$cat`; \
340	  lang=`echo $$cat | sed -e 's/\.gmo$$//'`; \
341	  for lc in LC_MESSAGES $(EXTRA_LOCALE_CATEGORIES); do \
342	    rm -f $(DESTDIR)$(localedir)/$$lang/$$lc/$(DOMAIN).mo; \
343	  done; \
344	done
345
346check: all
347
348info dvi ps pdf html tags TAGS ctags CTAGS ID:
349
350mostlyclean:
351	rm -f remove-potcdate.sed
352	rm -f stamp-poT
353	rm -f core core.* $(DOMAIN).po $(DOMAIN).1po $(DOMAIN).2po *.new.po
354	rm -fr *.o
355
356clean: mostlyclean
357
358distclean: clean
359	rm -f Makefile Makefile.in POTFILES *.mo
360
361maintainer-clean: distclean
362	@echo "This command is intended for maintainers to use;"
363	@echo "it deletes files that may require special tools to rebuild."
364	rm -f stamp-po $(GMOFILES)
365
366distdir = $(top_builddir)/$(PACKAGE)-$(VERSION)/$(subdir)
367dist distdir:
368	$(MAKE) update-po
369	@$(MAKE) dist2
370# This is a separate target because 'update-po' must be executed before.
371dist2: stamp-po $(DISTFILES)
372	dists="$(DISTFILES)"; \
373	if test "$(PACKAGE)" = "gettext-tools"; then \
374	  dists="$$dists Makevars.template"; \
375	fi; \
376	if test -f $(srcdir)/$(DOMAIN).pot; then \
377	  dists="$$dists $(DOMAIN).pot stamp-po"; \
378	fi; \
379	if test -f $(srcdir)/ChangeLog; then \
380	  dists="$$dists ChangeLog"; \
381	fi; \
382	for i in 0 1 2 3 4 5 6 7 8 9; do \
383	  if test -f $(srcdir)/ChangeLog.$$i; then \
384	    dists="$$dists ChangeLog.$$i"; \
385	  fi; \
386	done; \
387	if test -f $(srcdir)/LINGUAS; then dists="$$dists LINGUAS"; fi; \
388	for file in $$dists; do \
389	  if test -f $$file; then \
390	    cp -p $$file $(distdir) || exit 1; \
391	  else \
392	    cp -p $(srcdir)/$$file $(distdir) || exit 1; \
393	  fi; \
394	done
395
396update-po: Makefile
397	$(MAKE) $(DOMAIN).pot-update
398	test -z "$(UPDATEPOFILES)" || $(MAKE) $(UPDATEPOFILES)
399	$(MAKE) update-gmo
400
401# General rule for creating PO files.
402
403.nop.po-create:
404	@lang=`echo $@ | sed -e 's/\.po-create$$//'`; \
405	echo "File $$lang.po does not exist. If you are a translator, you can create it through 'msginit'." 1>&2; \
406	exit 1
407
408# General rule for updating PO files.
409
410.nop.po-update:
411	@lang=`echo $@ | sed -e 's/\.po-update$$//'`; \
412	if test "$(PACKAGE)" = "gettext-tools"; then PATH=`pwd`/../src:$$PATH; fi; \
413	tmpdir=`pwd`; \
414	echo "$$lang:"; \
415	test "$(srcdir)" = . && cdcmd="" || cdcmd="cd $(srcdir) && "; \
416	echo "$${cdcmd}$(MSGMERGE) $$lang.po $(DOMAIN).pot -o $$lang.new.po"; \
417	cd $(srcdir); \
418	if $(MSGMERGE) $$lang.po $(DOMAIN).pot -o $$tmpdir/$$lang.new.po; then \
419	  if cmp $$lang.po $$tmpdir/$$lang.new.po >/dev/null 2>&1; then \
420	    rm -f $$tmpdir/$$lang.new.po; \
421	  else \
422	    if mv -f $$tmpdir/$$lang.new.po $$lang.po; then \
423	      :; \
424	    else \
425	      echo "msgmerge for $$lang.po failed: cannot move $$tmpdir/$$lang.new.po to $$lang.po" 1>&2; \
426	      exit 1; \
427	    fi; \
428	  fi; \
429	else \
430	  echo "msgmerge for $$lang.po failed!" 1>&2; \
431	  rm -f $$tmpdir/$$lang.new.po; \
432	fi
433
434$(DUMMYPOFILES):
435
436update-gmo: Makefile $(GMOFILES)
437	@:
438
439Makefile: Makefile.in.in Makevars $(top_builddir)/config.status POTFILES.in LINGUAS
440	cd $(top_builddir) \
441	  && $(SHELL) ./config.status $(subdir)/$@.in po-directories
442
443force:
444
445# Tell versions [3.59,3.63) of GNU make not to export all variables.
446# Otherwise a system limit (for SysV at least) may be exceeded.
447.NOEXPORT:
448# Special Makefile rules for English message catalogs with quotation marks.
449
450DISTFILES.common.extra1 = quot.sed boldquot.sed en@quot.header en@boldquot.header insert-header.sin Rules-quot
451
452.SUFFIXES: .insert-header .po-update-en
453
454en@quot.po-create:
455	$(MAKE) en@quot.po-update
456en@boldquot.po-create:
457	$(MAKE) en@boldquot.po-update
458
459en@quot.po-update: en@quot.po-update-en
460en@boldquot.po-update: en@boldquot.po-update-en
461
462.insert-header.po-update-en:
463	@lang=`echo $@ | sed -e 's/\.po-update-en$$//'`; \
464	if test "$(PACKAGE)" = "gettext"; then PATH=`pwd`/../src:$$PATH; GETTEXTLIBDIR=`cd $(top_srcdir)/src && pwd`; export GETTEXTLIBDIR; fi; \
465	tmpdir=`pwd`; \
466	echo "$$lang:"; \
467	ll=`echo $$lang | sed -e 's/@.*//'`; \
468	LC_ALL=C; export LC_ALL; \
469	cd $(srcdir); \
470	if $(MSGINIT) -i $(DOMAIN).pot --no-translator -l $$ll -o - 2>/dev/null | sed -f $$tmpdir/$$lang.insert-header | $(MSGCONV) -t UTF-8 | $(MSGFILTER) sed -f `echo $$lang | sed -e 's/.*@//'`.sed 2>/dev/null > $$tmpdir/$$lang.new.po; then \
471	  if cmp $$lang.po $$tmpdir/$$lang.new.po >/dev/null 2>&1; then \
472	    rm -f $$tmpdir/$$lang.new.po; \
473	  else \
474	    if mv -f $$tmpdir/$$lang.new.po $$lang.po; then \
475	      :; \
476	    else \
477	      echo "creation of $$lang.po failed: cannot move $$tmpdir/$$lang.new.po to $$lang.po" 1>&2; \
478	      exit 1; \
479	    fi; \
480	  fi; \
481	else \
482	  echo "creation of $$lang.po failed!" 1>&2; \
483	  rm -f $$tmpdir/$$lang.new.po; \
484	fi
485
486en@quot.insert-header: insert-header.sin
487	sed -e '/^#/d' -e 's/HEADER/en@quot.header/g' $(srcdir)/insert-header.sin > en@quot.insert-header
488
489en@boldquot.insert-header: insert-header.sin
490	sed -e '/^#/d' -e 's/HEADER/en@boldquot.header/g' $(srcdir)/insert-header.sin > en@boldquot.insert-header
491
492mostlyclean: mostlyclean-quot
493mostlyclean-quot:
494	rm -f *.insert-header
495